Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class LinkElementMetaData

    java.lang.Object
      org.jboss.portal.core.metadata.portlet.ElementMetaData
          org.jboss.portal.core.metadata.portlet.LinkElementMetaData

    public class LinkElementMetaData

extends ElementMetaData

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.metadata.portlet.ElementMetaData
`bodyContent, element`

Constructor Summary
`LinkElementMetaData(java.lang.String relAttribute, java.lang.String typeAttribute, java.lang.String hrefAttribute, java.lang.String mediaAttribute, java.lang.String titleAttribute)`

Method Summary
`MarkupElement` | `buildElement()`
`java.lang.String` | `getHrefAttribute()`
`java.lang.String` | `getMediaAttribute()`
`java.lang.String` | `getRelAttribute()`
`java.lang.String` | `getTitleAttribute()`
`java.lang.String` | `getTypeAttribute()`

Methods inherited from class org.jboss.portal.core.metadata.portlet.ElementMetaData
`createLinkElement, createNamedMetaElement, createScriptElement, getBodyContent, getElement, init, setBodyContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkElementMetaData

    public LinkElementMetaData(java.lang.String relAttribute,
                               java.lang.String typeAttribute,
                               java.lang.String hrefAttribute,
                               java.lang.String mediaAttribute,
                               java.lang.String titleAttribute)

Method Detail

### buildElement

    public MarkupElement buildElement()

  Specified by:
    `buildElement` in class `ElementMetaData`

### getTypeAttribute

    public java.lang.String getTypeAttribute()

### getRelAttribute

    public java.lang.String getRelAttribute()

### getHrefAttribute

    public java.lang.String getHrefAttribute()

### getMediaAttribute

    public java.lang.String getMediaAttribute()

### getTitleAttribute

    public java.lang.String getTitleAttribute()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD